com.google.protobuf

## Interface BlockingRpcChannel

-     public interface BlockingRpcChannel

  Abstract interface for a blocking RPC channel. `BlockingRpcChannel` is the blocking equivalent to `RpcChannel`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Message` | `callBlockingMethod(Descriptors.MethodDescriptor method, RpcController controller, Message request, Message responsePrototype)` Call the given method of the remote service and blocks until it returns.

- - ### Method Detail

    - #### callBlockingMethod

          Message callBlockingMethod(Descriptors.MethodDescriptor method,
                                   RpcController controller,
                                   Message request,
                                   Message responsePrototype)
                                     throws ServiceException

      Call the given method of the remote service and blocks until it returns. `callBlockingMethod()` is the blocking equivalent to `RpcChannel.callMethod(com.google.protobuf.Descriptors.MethodDescriptor, com.google.protobuf.RpcController, com.google.protobuf.Message, com.google.protobuf.Message, com.google.protobuf.RpcCallback<com.google.protobuf.Message>)`.
      Throws:
        `ServiceException`